package com.bassbooster.soundeffects.equalizer.view.activity.onboarding

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment

import com.bassbooster.equalizer.databinding.FragmentOnboarding2Binding


class OnBoarding2Fragment : Fragment(){
    private var _binding: FragmentOnboarding2Binding? = null
    private val binding get() = _binding!!
//    private var nativeAdHelper: NativeAdHelper? = null
//    private var mFirebaseAnalytics: FirebaseAnalytics? = null

//    val adCallback = object : AperoAdCallback() {
//        override fun onAdClicked() {
//            super.onAdClicked()
//        }
//
//        override fun onAdImpression() {
//            super.onAdImpression()
//        }
//    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
//        mFirebaseAnalytics = FirebaseAnalytics.getInstance(requireContext())
    }

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        _binding = FragmentOnboarding2Binding.inflate(inflater, container, false)
        val view = binding.root
        return view
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        loadNativeAds()
    }

    private fun loadNativeAds() {
    }

//    private fun initNativeAd(): NativeAdHelper {
//        val config = NativeAdConfig(
//            BuildConfig.Native_tutorial,
//            true,
//            FirebaseRemoteConfig.getInstance()
//                .getBoolean(Constants.allow_reload_native_tutorial),
//            // with native additional layout native ad
//            R.layout.layout_onboarding_native
//        )
//        return NativeAdHelper(requireActivity(),  this, config)
//    }
//
//    override fun onDestroy() {
//        super.onDestroy()
//        nativeAdHelper?.unregisterAdListener(adCallback)
//    }
}